View Issue Details

IDProjectCategoryView StatusLast Update
0002755SymmetricDSImprovementpublic2018-12-05 14:55
Reporterwoehrl01Assigned Tommichalek 
Prioritylow 
Status assignedResolutionopen 
Product Version 
Target Version3.10.0Fixed in Version 
Summary0002755: Recreate staged resources if batch status is manually set to 'NE'
DescriptionIf you have a conflict on outgoing batch and you can solve it via changing the sym_data_event table, you need to wait until the resource times out or until you delete the resource manually so that the batch content gets recreated.

It would be great if you can "trigger" the recreation if you set the batch status to 'NE' manually.


The following PR does this:
https://github.com/JumpMind/symmetric-ds/pull/39

If you don't want to delete any batch if it is 'NE' maybe it is a good fit to also check for isErrorFlag() == true

Activities

admin

2016-09-30 10:28

administrator   ~0000879

Re-opening. Was accidentally closed when performing the release.

hanes

2018-12-05 14:55

developer   ~0001363

Needs some design work most likely

Issue History

Date Modified Username Field Change
2016-08-29 07:55 woehrl01 New Issue
2016-09-29 21:01 admin Status new => closed
2016-09-30 10:28 admin Status closed => new
2016-09-30 10:28 admin Note Added: 0000879
2018-11-19 16:35 hanes Priority normal => low
2018-11-19 16:35 hanes Status new => acknowledged
2018-11-19 16:35 hanes Target Version => 3.10.0
2018-12-05 14:55 hanes Assigned To => mmichalek
2018-12-05 14:55 hanes Status acknowledged => assigned
2018-12-05 14:55 hanes Note Added: 0001363